Adds a parameter to the object

- « SolrParams::add

- SolrParams::get »

- PHP Manual
- SolrParams
- Adds a parameter to the object

# SolrParams::addParam

(PECL solr >= 0.9.2)

SolrParams::addParam — Adds a parameter to the object

### Description

public SolrParams::addParam(string `$name`, string `$value`): SolrParams

Adds a parameter to the object. This is used for parameters that can be specified multiple times.

### Parameters

`name`

  Name of parameter

`value`

  Value of parameter

### Return Values

Returns a SolrParam object on success and `false` on failure.